> 1 <

Автор Сообщение

2face

Members


Статус

4 сообщений

Где: Russia
Род занятий:
Возраст:

#7639   2015-05-28 06:00 GMT+3 часа(ов)      
Здравствуйте!
Очень нужна помощь в написании программки для автокада на языке лисп. Если кто может чем-то помочь, напишите в этой теме или в личку. Я введу в курс дела.

Valko

Members


Статус

29 сообщений

Где: ---
Род занятий:
Возраст:

#7640   2015-05-28 11:34 GMT+3 часа(ов)      
stolbikk@bigmir.net
давайте посмотрю, что там.

2face

Members


Статус

4 сообщений

Где: Russia
Род занятий:
Возраст:

#7641   2015-05-29 00:24 GMT+3 часа(ов)      
Отправил.

Анастасия

Members


Статус

2 сообщений

Где: Russia
Род занятий:
Возраст:

#7643   2015-05-30 11:46 GMT+3 часа(ов)      
здравствуйте, помогите найти ошибку.
(defun C:OFF2 (/ d obj ent adoc *error* undo lays Flag)
(defun *error* (msg)(vla-EndUndoMark adoc))
(vl-load-com)(setq adoc (vla-get-activedocument (vlax-get-acad-object))
lays (vla-get-layers adoc))(vla-StartUndoMark adoc)(setvar "CMDECHO" 0)
(if (null *OFF2*)(setq *OFF2* (abs (getvar "OFFSETDIST"))))
(if (zerop *OFF2*)(setq *OFF2* 1))(setq d (getvar "UNDOCTL"))
(cond (= d 0) (vl-cmdf "_.UNDO" "_All"))
((= d 3) (vl-cmdf "_.UNDO" "_Control" "_All"))
(t nil)) ;_ end of cond
(princ "\n Величина смещения <")(princ *OFF2*)(princ ">: ")
(initget 6)(if (null (setq d (getdist))) (setq d *OFF2*))
(setq *OFF2* d undo 0 Flag t)
(initget "Undo Отмени Г J Exit Выход У D _Undo Undo Undo Undo Exit Exit Exit Exit")
(while Flag
(setq obj (entsel (strcat "\n Выберите объект ["
(if (not (zerop undo)) "Отмени/" "")
"Выход] <выход>: ")))
(cond ((= obj "Undo")(if (not (zerop undo))(progn
(vl-cmdf "_UNDO" "_B")(setq undo (1- undo)))(alert "Нечего больше отменять")))
((= obj "Exit")(setq Flag nil))
((null obj)(if (= (getvar "ERRNO") 52)(setq Flag nil)(princ " *** Мимо ***")))
(t (setq ent (vlax-ename->vla-object (car obj)))
(cond ((= (vla-get-lock (vla-item lays (vla-get-layer ent))) :vlax-true)
(alert "На блокированном слое!"))
((vlax-method-applicable-p ent 'Offset)(vl-cmdf "_UNDO" "_M")(setq undo (1+ undo))
(vla-offset ent d)(vla-offset ent (- 0 d)))
(t (alert "Не удается создать объект, подобный данному")))))
(initget "Undo Отмени Г J Exit Выход У D _Undo Undo Undo Undo Exit Exit Exit Exit"))
(vla-EndUndoMark adoc)(princ))
(princ "\nНаберите в командной строке OFF2"))

2face

Members


Статус

4 сообщений

Где: Russia
Род занятий:
Возраст:

#7644   2015-05-30 23:51 GMT+3 часа(ов)      
Просьба о помощи актуальна.
> 1 <


Онлайн :

0 пользователь(ей), 8 гость(ей) :




Реклама на сайте: